package com.ai.da.service;


import com.ai.da.mapper.primary.entity.Workspace;
import com.ai.da.model.dto.WorkspaceDTO;
import com.ai.da.model.enums.BizJson;
import com.ai.da.model.vo.ModelsVO;
import com.ai.da.model.vo.WorkspaceVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.FileNotFoundException;
import java.util.List;

/**
 * 服务类
 *
 * @author SHAHAIBO
 * @since 2023-08-01
 */
public interface WorkspaceService extends IService<Workspace> {

    /**
     * 自定义分页
     *
     * @param page
     * @param workspace
     * @return
     */
    IPage<WorkspaceVO> selectWorkspacePage(IPage<WorkspaceVO> page, WorkspaceVO workspace);

    boolean saveOrUpdate(Workspace workspace);

    WorkspaceVO getPage(WorkspaceDTO query);

    List<BizJson> getEnumValues(String enumName);

    Workspace getByIdNew(Long id);

    List<ModelsVO> getMannequins(String sex);

    void systemFileCopy();

    void moveFile();

    void maleDataInsert() throws FileNotFoundException;

    List<Long> delete(List<Workspace> workspaceList);
}
